package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.storage.api.entity.OutboundInfo;
import com.emergency.avenue.storage.api.entity.TransferOrder;
import com.emergency.avenue.storage.api.vo.TransferOrderVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface TransferOrderService  extends IService<TransferOrder> {

	R saveTransferOrderAndMaterial(TransferOrder transferOrder);

	Boolean removeByIdAndTransferOrder(Long id);


	R getTransferOrderPage(Page<TransferOrderVo> page, TransferOrderVo transferOrder);

	TransferOrder getByIdAndTransferOrder(Integer id);

	void export(String fileName, String templateFile, List<TransferOrderVo> records, HttpServletResponse response);


}
